package de.hft.stuttgart.citygml.green.osm;

import java.util.ArrayList;
import java.util.List;

import org.locationtech.jts.geom.Polygon;

public class OsmData {
	
	private Polygon boundingBox;
	
	private List<TreePoint> treePoints = new ArrayList<>();
	private List<GreenArea> greenAreas = new ArrayList<>();
	private List<TreeRow> treeRows = new ArrayList<>();
	private List<Waterway> waterways = new ArrayList<>();
	private List<WaterArea> waterAreas = new ArrayList<>();
	private List<RoadArea> roadAreas = new ArrayList<>();
	private List<LandUseArea> landUseAreas = new ArrayList<>();
	
	public void setBoundingBox(Polygon boundingBox) {
		this.boundingBox = boundingBox;
	}
	
	public List<WaterArea> getWaterAreas() {
		return waterAreas;
	}
	
	public List<Waterway> getWaterways() {
		return waterways;
	}
	
	public Polygon getBoundingBox() {
		return boundingBox;
	}
	
	public List<GreenArea> getGreenAreas() {
		return greenAreas;
	}
	
	public List<TreePoint> getTreePoints() {
		return treePoints;
	}

	public List<TreeRow> getTreeRows() {
		return treeRows;
	}

	public List<RoadArea> getRoadAreas() {
		return roadAreas;
	}

	public List<LandUseArea> getLandUseAreas() {
		return landUseAreas;
	}
	
}
